Bug 1701842 (CVE-2019-9503) - CVE-2019-9503 kernel: brcmfmac frame validation bypass
Summary: CVE-2019-9503 kernel: brcmfmac frame validation bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9503
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1704680 1704681 1704682 1704683 1701843 1704684 1704685 1733895 1734041
Blocks: 1701846 1701869
TreeView+ depends on / blocked
 
Reported: 2019-04-22 09:11 UTC by msiddiqu
Modified: 2019-09-29 15:11 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
If the brcmfmac driver receives a firmware event frame from a remote source, the is_wlc_event_frame function will cause this frame to be discarded and not be processed. If the driver receives the firmware event frame from the host, the appropriate handler is called. This frame validation can be bypassed if the bus used is USB (for instance by a WiFi dongle). This can allow firmware event frames from a remote source to be processed and this can result in denial of service (DoS) condition.
Clone Of:
Environment:
Last Closed: 2019-09-12 12:45:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2767 None None None 2019-09-12 19:12:32 UTC
Red Hat Product Errata RHSA-2019:2703 None None None 2019-09-10 19:00:16 UTC
Red Hat Product Errata RHSA-2019:2741 None None None 2019-09-11 16:42:09 UTC

Description msiddiqu 2019-04-22 09:11:11 UTC
If the brcmfmac driver receives a firmware event frame from a remote source, the is_wlc_event_frame function will cause this frame to be discarded and not be processed. If the driver receives the firmware event frame from the host, the appropriate handler is called. This frame validation can be bypassed if the bus used is USB (for instance by a wifi dongle). This can allow firmware event frames from a remote source to be processed and this can result in denial of service (DoS) condition.

Introduced in:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit?id=5b435de0d786869c95d1962121af0d7df2542009

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit?id=a4176ec356c73a46c07c181c6d04039fafa34a9f

External References:

https://kb.cert.org/vuls/id/166939/

https://blog.quarkslab.com/reverse-engineering-broadcom-wireless-chipsets.html#cve-2019-9503-remotely-sending-firmware-events-bypassing-is-wlc-event-frame

https://www.bleepingcomputer.com/news/security/broadcom-wifi-driver-flaws-expose-computers-phones-iot-to-rce-attacks/

Comment 1 msiddiqu 2019-04-22 09:11:26 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1701843]

Comment 3 Vladis Dronov 2019-04-30 09:43:53 UTC
Note:

This vulnerability was originally called CVE-2019-8564 by mistake.

Comment 8 Fedora Update System 2019-05-07 04:50:01 UTC
kernel-5.0.11-100.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2019-09-10 19:00:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2703 https://access.redhat.com/errata/RHSA-2019:2703

Comment 13 errata-xmlrpc 2019-09-11 16:42:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2741 https://access.redhat.com/errata/RHSA-2019:2741

Comment 14 Product Security DevOps Team 2019-09-12 12:45:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-9503


Note You need to log in before you can comment on or make changes to this bug.